Last Comment Bug 1322120 - Address bar items and select items are not highlighted properly
: Address bar items and select items are not highlighted properly
Status: VERIFIED FIXED
[nightly-community][tpi:+]
: regression
Product: Core
Classification: Components
Component: Widget: Gtk (show other bugs)
: Trunk
: Unspecified Unspecified
P1 normal (vote)
: ---
Assigned To: Karl Tomlinson (:karlt)
:
:
Mentors:
: 1321832 1322290 1322413 1324731 (view as bug list)
Depends on: 1324262
Blocks: 1320860
  Show dependency treegraph
 
Reported: 2016-12-05 04:10 PST by Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo)
Modified: 2016-12-30 07:47 PST (History)
15 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
unaffected
unaffected
+
fixed

MozReview Requests
Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:
Show discarded requests

Attachments
screenshot-1480528364.png (190.26 KB, image/png)
2016-12-06 22:52 PST, Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo)
no flags Details
screenshot-1480474861.png (188.42 KB, image/png)
2016-12-06 22:53 PST, Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo)
no flags Details
bug 1322120 use text node for field and selected colors (58 bytes, text/x-review-board-request)
2016-12-08 12:47 PST, Karl Tomlinson (:karlt)
stransky: review+
Details | Review

Description User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-05 04:10:03 PST
This bug started to appear about a week ago in Nightly (works in latest release). My current configuration: Linux Mint 18, Cinnamon 3.0.7, Firefox 53.0a1 (20161204030210).

When I hover any item in the address bar (with mouse cursor or arrow keys), or I select anything in the classification/product/component/... select on https://bugzilla.mozilla.org/query.cgi?format=advanced, the highlight style is not applied, or is not applied correctly. Seems the font color changes, but the "line" background is colored the same as non selected items.
Comment 1 User image :Gijs 2016-12-06 11:15:29 PST
Can you please find a regression window with mozregression? ( https://mozilla.github.io/mozregression/ )
Comment 2 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-06 13:51:10 PST
Hi :Gijs.

I ended up with

> Error: Unable to exploit the merge commit. Origin branch is mozilla-central, and the commit message for 8f1e4206 was:
> Merge m-c to autoland on a CLOSED TREE. a=merge

Using mozregression I tested these builds:
- 2016-11-30 (13736e2db6eb94b02dd28cc88f2943b8109aa374) good
- 2016-12-02 (f65ad27efe839ce9df0283840a1a40b4bbc9ead0) bad
- 2016-12-01 (cd4cdcc9ad6c45dad8b8d8c0d40e459db2bca8a1) bad
- 2016-11-30 22:08:56.091000 (8f1e420699832d42753c6503aa31861be6f5b186) bad
- 2016-11-30 16:11:33.370000 (741a720c98cdb92c229376be0badbf036f653bff) good
Comment 4 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-06 22:52:36 PST
Created attachment 8817129 [details]
screenshot-1480528364.png

1480528364 is broken.
Comment 5 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-06 22:53:17 PST
Created attachment 8817130 [details]
screenshot-1480474861.png

And 1480474861 still works.
Comment 6 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-06 22:55:50 PST
Unfortunately I was unable to take the screenshot of the address bar, as it disappears immediately the screenshot tool tries to take the shot. The same for the download button "bubble", where I noticed the progress bar looks like disappearing from the left instead of being colored with the download progress.
Comment 7 User image Karl Tomlinson (:karlt) 2016-12-08 12:41:39 PST
Thanks for the quick report and regression range.
Comment 8 User image Karl Tomlinson (:karlt) 2016-12-08 12:42:53 PST
*** Bug 1322413 has been marked as a duplicate of this bug. ***
Comment 9 User image Karl Tomlinson (:karlt) 2016-12-08 12:43:41 PST
*** Bug 1322290 has been marked as a duplicate of this bug. ***
Comment 10 User image Karl Tomlinson (:karlt) 2016-12-08 12:47:02 PST Comment hidden (mozreview-request)
Comment 11 User image Martin Stránský 2016-12-08 13:06:47 PST
Sure, I'll look at it. I wonder if we also can get the sMozFieldBackground from the text window beside the text colors.
Comment 12 User image Martin Stránský 2016-12-08 15:44:06 PST
I have hard time to reproduce this. Michal, can you please provide exact Gtk version you use?
Comment 13 User image Botond Ballo [:botond] [standards meeting Feb 27 - Mar 4] 2016-12-08 15:53:51 PST
(In reply to Martin Stránský from comment #12)
> I have hard time to reproduce this. Michal, can you please provide exact Gtk
> version you use?

I can also reproduce this, with GTK 3.14.5. I'm running on Debian stable with KDE.
Comment 14 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-08 23:15:39 PST
Hi Martin. I have 3.18.9-1ubuntu3.1.
Comment 15 User image will69 2016-12-13 15:09:59 PST
I am also seeing this. There is no selection background color in the address bar and in content. In addition, the bookmarks menu, the downloads drop down and the "burger" menu are all painted extremely slowly and without a background, i.e. transparent and without anti alias.

Last good revision: 741a720c98cdb92c229376be0badbf036f653bff
First bad revision: 8f1e420699832d42753c6503aa31861be6f5b186
Pushlog: https://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=741a720c98cdb92c229376be0badbf036f653bff&tochange=8f1e420699832d42753c6503aa31861be6f5b186

KDE 4.11.5 running on openSUSE 13.1

libgtk-2 is 2.24.23 (Clearlooks theme)
libgtk-3 is 3.10.9  (Default theme)

Should I file a new bug since this is somewhat different?
Comment 16 User image will69 2016-12-13 15:26:22 PST
I do get selection background color if I change both GTK2 and GTK3 theme to "Adwaita". The transparent drop down menus are not fixed, however.
Comment 17 User image Botond Ballo [:botond] [standards meeting Feb 27 - Mar 4] 2016-12-13 15:28:15 PST
(In reply to will69 from comment #15)
> Pushlog:
> https://hg.mozilla.org/mozilla-central/
> pushloghtml?fromchange=741a720c98cdb92c229376be0badbf036f653bff&tochange=8f1e
> 420699832d42753c6503aa31861be6f5b186
> 
> [...]
> 
> Should I file a new bug since this is somewhat different?

This regression range contains bug 1320860, the bug identified as being responsible for this bug. I would wait until this bug is fixed, since chances are the fix will fix your issue too.
Comment 18 User image will69 2016-12-14 14:42:05 PST
Installing "gtk3-engine-oxygen" and "gtk3-theme-oxygen" and switching both GTK2 and GTK3 themes to "oxygen-gtk" solved the transparent dropdown menu problem. (Switching themes back to "Adwaita" still reproduces the problem.) Highlighting works. Tooltips are black-on-almost-black now, though. Sigh!
Comment 19 User image Botond Ballo [:botond] [standards meeting Feb 27 - Mar 4] 2016-12-14 14:45:16 PST
[Tracking Requested - why for this release]:
We should not ship 53 with this regression.
Comment 20 User image Mats Palmgren (:mats) 2016-12-14 19:31:05 PST
*** Bug 1321832 has been marked as a duplicate of this bug. ***
Comment 22 User image Marcia Knous [:marcia - use ni] 2016-12-15 09:09:33 PST
Tracking 53+ so we don't ship with this regression.
Comment 23 User image Pulsebot 2016-12-15 14:24:46 PST
Pushed by ktomlinson@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/6c2cedbdeb65
use text node for field and selected colors r=stransky+263117
Comment 24 User image Carsten Book [:Tomcat] 2016-12-16 07:08:18 PST
https://hg.mozilla.org/mozilla-central/rev/6c2cedbdeb65
Comment 25 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-17 06:01:03 PST
Works for me in build 20161217030205 again.
Comment 26 User image will69 2016-12-18 02:35:18 PST
WFM with KDE 4.11.5 (with libgtk 3.10.9) using "oxygen-gtk" and "Adwaita". Thanks a lot!
Comment 27 User image Dão Gottwald [:dao] 2016-12-18 13:30:38 PST
Backed out for causing a worse regression, bug 1324262.

https://hg.mozilla.org/integration/mozilla-inbound/rev/12f4a1387fbc20a4696cd0cc9ea1ae7cddeb213c
Comment 28 User image Marco Bonardo [::mak] 2016-12-20 02:37:37 PST
*** Bug 1324731 has been marked as a duplicate of this bug. ***
Comment 29 User image Karl Tomlinson (:karlt) 2016-12-28 23:31:54 PST
Backed out a6aabcb07a6e from bug 1320860 until bug 1324262 is addressed.

https://hg.mozilla.org/integration/mozilla-inbound/rev/b0b87b3bc2dcfe0561f05d7ac780b023ea54ac23
Comment 30 User image Karl Tomlinson (:karlt) 2016-12-29 12:46:31 PST
Fixed by https://hg.mozilla.org/mozilla-central/rev/b0b87b3bc2dc
Comment 31 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-30 03:07:44 PST
Will verify after in a day or two after I get new update with the patch.
Comment 32 User image Will Roberts [:bws42] 2016-12-30 07:17:38 PST
The Nightly built from https://hg.mozilla.org/mozilla-central/rev/6f63f95e28ffc05c0d2f5ef6cd6e05905fe8ea5a

now works as expected for me.
Comment 33 User image Michal Stanke (Mozilla.cz) [:MikkCZ] (off until 05/2017, use needinfo) 2016-12-30 07:47:25 PST
Build 20161230030205 works again for me too.

Note You need to log in before you can comment on or make changes to this bug.